<?php

namespace ACL\Repositories;

use ACL\Traits\TQuery;
use ACL\Helpers\Instances\InstanceProvider;
use Doctrine\ORM\EntityManager;

class Paramgeral extends RepositoryBase {

    Use TQuery;

    protected $table = 'PARAMGERAL';

    /** @var EntityManager */
    protected $entityManager;

    public function __construct(EntityManager $entityManager)
    {
        parent::__construct($this->table);
        $this->entityManager = $entityManager;
    }

    /**
     * @param $organizationId
     * @return array
     */
    public function findParamgeral($organizationId): array
    {
        $query = <<<SQL
            SELECT IDGERACDOPERADOR, IDCPFREQUIRED
              FROM PARAMGERAL
             WHERE NRORG = :NRORG
SQL;
        $params = array(
            "NRORG" => $organizationId
        );
        $finalQuery = $this->getFinalQuery($query);
        $data = $this->entityManager->getConnection()->fetchAssociative($finalQuery, $params);
        return $this->buildResponseData($data);
    }
}
